Page MenuHomePhabricator

Articles in the "for later" list should be shown regardless of language selection for translation suggestions
Closed, ResolvedPublic

Description

The translation dashboard allows users to keep translations for later. The "for later" list is intended to show all the articles the user saved there.

Currently, the articles show depend on the language selector from the suggestions list, which is unexpected since those lists are represented as separate elements. The issue is illustrated below:

"Bhojpuri cuisine" is in the "For later" list initially as suggestions for Spanish are shown.After I select suggestions to show for Basque, the "For later" list disappears.

The expected behaviour is for the "For later" list to show all articles that were kept for later regardless of the current language selection made for the suggestions list.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterKeep for later list upon language pair change
mediawiki/extensions/ContentTranslation : masterKeep newly favorited articles after changing language pair
mediawiki/extensions/ContentTranslation : masterAlways show the list of favorite articles

Event Timeline

Pginer-WMF triaged this task as Medium priority.May 11 2018, 10:08 AM
Pginer-WMF created this task.
Pginer-WMF moved this task from Needs Triage to Bugs on the ContentTranslation board.
Pginer-WMF moved this task from Bugs to Translation List on the ContentTranslation board.
Vvjjkkii renamed this task from Articles in the "for later" list should be shown regardless of language selection for translation suggestions to 74caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 74caaaaaaa to Articles in the "for later" list should be shown regardless of language selection for translation suggestions.Jul 2 2018, 5:50 AM
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 528249 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Always show the list of favorite articles

https://gerrit.wikimedia.org/r/528249

@Pginer-WMF should all articles (in all language pairs) added to favorites be showing? The list can potentially be very big.
We employ paging for other lists (In progress and published), but that can hardly work when we need to show suggestions on the same view.

Change 528249 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Always show the list of favorite articles

https://gerrit.wikimedia.org/r/528249

Jpita added a subscriber: Jpita.

2 issues found:

*the list disappears when you change the language*

  1. go to the cx tool
  2. go to suggestions page
  3. clean the for later list
  4. reload the page
  5. add a few articles to the list
  6. change the from language of the suggested pages
  • the list disappears

*an error occurs when you delete an article from the list*

  1. go to the cx tool
  2. go to suggestions page
  3. clean the for later list
  4. reload the page
  5. add a few articles to the list
  6. change the from language of the suggested pages
  7. remove an item from the for later list

if you then add an article this happens


it seems that it tries to create a new list instead of adding another item to the existing list

Change 530779 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Keep newly favorited articles after changing language pair

https://gerrit.wikimedia.org/r/530779

Change 530780 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Keep for later list upon language pair change

https://gerrit.wikimedia.org/r/530780

@Pginer-WMF should all articles (in all language pairs) added to favorites be showing? The list can potentially be very big.
We employ paging for other lists (In progress and published), but that can hardly work when we need to show suggestions on the same view.

The "for later" list has the potential to become a long list. Given that these items represent topics the user is interested in translating and the user has direct control on them, I'm not concerned about the list becoming too prominent.

Making the list to include the different languages is not expected to aggravate the issue significantly. But it would be good to measure to better understand how often the list is growing too large to be useful.

Change 530779 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Keep newly favorited articles after changing language pair

https://gerrit.wikimedia.org/r/530779

Change 530780 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Keep for later list upon language pair change

https://gerrit.wikimedia.org/r/530780

Jpita closed this task as Resolved.Aug 26 2019, 12:50 PM